RegisterableService (Java Platform SE 8 )
Keywords: javax.imageio.spi.RegisterableService interface
Date: 2016-12-09

javax.imageio.spi

## Interface RegisterableService

- All Known Implementing Classes:
    IIOServiceProvider, ImageInputStreamSpi, ImageOutputStreamSpi, ImageReaderSpi, ImageReaderWriterSpi, ImageTranscoderSpi, ImageWriterSpi

      public interface RegisterableService

  An optional interface that may be provided by service provider objects that will be registered with a `ServiceRegistry`. If this interface is present, notification of registration and deregistration will be performed.
  See Also:
    `ServiceRegistry`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDeregistration(ServiceRegistry registry, Class<?> category)` Called when an object implementing this interface is removed from the given `category` of the given `registry`.
    `void` | `onRegistration(ServiceRegistry registry, Class<?> category)` Called when an object implementing this interface is added to the given `category` of the given `registry`.

- - ### Method Detail

    - #### onRegistration

          void onRegistration(ServiceRegistry registry,
                              Class<?> category)

      Called when an object implementing this interface is added to the given `category` of the given `registry`. The object may already be registered under another category or categories.
      Parameters:
        `registry` - a `ServiceRegistry` where this object has been registered.
        `category` - a `Class` object indicating the registry category under which this object has been registered.

    - #### onDeregistration

          void onDeregistration(ServiceRegistry registry,
                                Class<?> category)

      Called when an object implementing this interface is removed from the given `category` of the given `registry`. The object may still be registered under another category or categories.
      Parameters:
        `registry` - a `ServiceRegistry` from which this object is being (wholly or partially) deregistered.
        `category` - a `Class` object indicating the registry category from which this object is being deregistered.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.